@charset "utf-8";

/* ################################################## GENERAL ################################################## */
:root {
    --container-max-width: 100%;
    --header-height: 100px;
}

html {
    scroll-behavior: smooth;
}

section[id],
div[id] {
    scroll-margin-top: var(--header-height);
}

html,
body {
    max-width: none;
}

video {
    display: block;
}

img,
video,
picture {
    max-width: 100%;
    height: auto;
}

.animated,
img,
svg,
a,
i,
.fa-stack {
    transition: all 300ms ease 0s;
}

select {
    cursor: pointer;
}

.unbreakable {
    white-space: nowrap;
}

.cover {
    width: 100%;
    height: 100%;
    margin: 0;
    top: 0;
    left: 0;
}

.cover img,
.cover video {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.content *:last-child {
    margin-bottom: 0;
}

.btn-icon .fa-stack {
    font-size: 2rem;
    width: 2em;
}

.overlay {
    position: relative;
}

.overlay::before {
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    background: rgb(27, 26, 26);
    background: linear-gradient(90deg, rgba(27, 26, 26, 0.7035189075630253) 97%, rgba(31, 24, 24, 0.15730042016806722) 100%);
    top: 0;
}

/* ################################################## Custom styling start ########################################## */
#page-header .container {
    transition: all .3s ease;
}

#page-header.scrolled .container {
    background-color: white;
    border-radius: 15px;
    box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.05);
}

#page-header.scrolled #page-logo img {
    height: 50px;
}

#page-header.scrolled .nav-item .nav-link {
    color: var(--bs-body-color) !important;
}

#page-logo img {
    height: 65px;
}

#footer-logo img {
    height: 100px;
}

#hero {
    height: 100vh;
    overflow: hidden;
}

#hero::before {
    position: absolute;
    content: "";
    background: rgba(0, 0, 0, .5);
    width: 100%;
    height: 100%;
    z-index: 5;
}

#hero .hero-video,
#small-hero .hero-video {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    object-fit: cover;
    object-fit: center;
}

#hero .hero-content,
#small-hero .hero-content {
    position: relative;
    z-index: 10;
}

#hero h1,
#hero .h1,
#hero p,
#hero .p {
    color: white;
}

#small-hero {
    height: 55vh;
    overflow: hidden;
    position: relative;
}

#small-hero::before {
    position: absolute;
    content: "";
    background: rgba(0, 0, 0, .5);
    width: 100%;
    height: 100%;
    z-index: 5;
}

#small-hero .hero-content {
    margin-top: 20px;
}

#small-hero h1,
#small-hero .h1,
#small-hero p,
#small-hero .p {
    color: white;
}

.navbar .nav-item.active .nav-link {
    font-weight: 500;
    color: #000000;
}

body:has(main > div > #hero:first-of-type) .navbar .nav-link,
body:has(main > div > #small-hero:first-of-type) .navbar .nav-link {
    color: #ffffff;
    font-size: 1rem;
    margin: 0 .75rem;
}

section:first-of-type:not(#hero):not(#small-hero) {
    margin-top: 125px !important;
}

/* ################################################## MEDIA QUERIES ################################################## */
/* Below small devices (standard values) */

/* Small devices (landscape phones, 576px and up) */
/* Bootstrap: -sm */
@media (min-width: 576px) {}

/* Medium devices (tablets, 768px and up) */
/* Bootstrap: -md */
@media (min-width: 768px) {
    #page-logo img {
        height: 90px;
    }

    #page-header.scrolled #page-logo img {
        height: 70px;
    }

    section:first-of-type:not(#hero):not(#small-hero) {
        margin-top: 200px !important;
    }
}

/* Large devices (desktops, 992px and up) */
/* Bootstrap: -lg */
@media (min-width: 992px) {}

/* Extra large devices (large desktops, 1200px and up) */
/* Bootstrap: -xl */
@media (min-width: 1200px) {}

/* HD devices (extra large desktops, 1540px and up) */
@media (min-width: 1540px) {}